#include "StdAfx.h"
#include "LupenLabel.h"

namespace ErweiterteSteuerelemente
{
   LupenLabel::LupenLabel(void)
   {
      betrag = 1;
   }

   // Schrift vergrößern
   void LupenLabel::OnMouseHover(EventArgs ^e)
   {
       alterFont = this->Font;
       System::Drawing::Font ^neuerFont 
          = gcnew System::Drawing::Font(alterFont->Name,
                                        alterFont->SizeInPoints + betrag,
                                        alterFont->Style);
       this->Font = neuerFont;

       Label::OnMouseHover(e);
   }

   // Schrift zurücksetzen
   void LupenLabel::OnMouseLeave(EventArgs ^e)
   {
       this->Font = alterFont;
       Label::OnMouseLeave(e);
   }        

}
